<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Stories_Model_Story extends Core_Model_Item_Abstract
{
	protected $_searchTriggers = false;
	protected $_type = 'stories_story';

	public function likes()
	{
		return new Engine_ProxyObject($this, Engine_Api::_()->getDbtable('likes', 'core'));
	}
	
	public function getHref()
	{
		return "stories/index/view/story_id/" . $this->getIdentity();
	}

	protected function _delete()
	{
		//    Engine_Api::_()->getDbtable('stories', 'stories')->delete(array(
		//      'story_id = ?' => $this->getIdentity(),
		//    ));
		parent::_delete();
	}
}
